Use a dockable tabbed window for plugins
Status: Open

Priority: Low

Assignee:

Category: GUI

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 11794

Description

With the explosion of QGIS plugins, people will eventually have so many plugins that it would get hard to find them in the Plugin menu or

Plugin toolbar.  If the plugin buttons can be arranged in a tabbed (which are based on the category of the plugin) window with buttons

arranged in a matrix ( [[OpenJump]] Edit window is a good example...see attached pic), it would make it easy for the user to find the plugin

of interest.

P.S another idea is to have something similar to the GRASS plugin's Module tree for the plugins

History

#1 - 2011-07-10 08:31 PM - Alister Hood

- Operating System changed from Debian to All

- Category changed from C++ Plugins to GUI

- Assignee deleted (nobody -)

- Target version deleted (Version 1.7.0)

#2 - 2011-07-10 08:57 PM - Nathan Woodrow

As far as I know this is on the cards to do at some stage.  I think Martin had some ideas on this.  I was going to prototype a python based plugin tree at

some stage but haven't had the chance yet.

#3 - 2011-12-14 03:04 PM - Alister Hood

- Pull Request or Patch supplied set to No

Also see #4069, #4395 and #1602

#4 - 2011-12-16 02:12 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#5 - 2012-04-15 10:11 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#6 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#7 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No
